## live-clone 1.5

=== Makefile ===
DESTDIR =

UISOURCES = $(shell ls ui_*.ui)
RCSOURCES = $(shell ls *.qrc)
UIFILES   = $(patsubst ui_%.ui, ui_%.py, $(UISOURCES))
RCFILES   =$(patsubst %.qrc, %_rc.py, $(RCSOURCES))

LANGSOURCES = $(shell ls lang/*.ts)
LANGFILES = $(patsubst %.ts, %.qm, $(LANGSOURCES))

all: $(RCFILES) $(UIFILES) $(LANGFILES)

$(UIFILES): $(UISOURCES)
$(RCFILES): $(RCSOURCES)
$(LANGFILES): $(LANGSOURCES)

ui_%.py: ui_%.ui
	pyuic5 $< -o $@

%_rc.py: %.qrc
	pyrcc5 $< -o $@

%.qm: %.ts live_clone.pro
	lrelease -qt=5 live_clone.pro

clean:
	rm -rf *~ $(RCFILES) $(UIFILES) $(LANGFILES)

install:
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/lib/python3/dist-packages/live_clone
	install -d $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/lang
	install -d $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/img
	install -d $(DESTDIR)/usr/share/applications
	install -d $(DESTDIR)/usr/share/icons
	install -d $(DESTDIR)/usr/share/polkit-1/actions

	install -m 755 live-clone $(DESTDIR)/usr/bin
	install -m 644 *.py *.md $(DESTDIR)/usr/lib/python3/dist-packages/live_clone
	install -m 644 lang/*.md $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/lang
	install -m 644 lang/*.qm $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/lang
	install -m 644 img/* $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/img
	install -m 755 live_clone.desktop $(DESTDIR)/usr/share/applications
	install -m 644 img/live_clone.png $(DESTDIR)/usr/share/icons
	# replace the relative paths ./ by absolute paths
	for f in $$(find $(DESTDIR) -name "*.md"); do \
	  sed -i 's%\./%/usr/lib/python3/dist-packages/live_clone/%' $$f; \
	done
	install -m 644 *.policy $(DESTDIR)/usr/share/polkit-1/actions

$(LANGSOURCES): *.py $(UIFILES) live_clone.pro
	pylupdate5 live_clone.pro


.PHONY: all clean install lang

## live-clone 1.5.1

=== debian/changelog ===
live-clone (1.5.1-1) unstable; urgency=medium

  * enforce reproducible rc_file generation

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 24 Nov 2019 13:48:57 +0100

live-clone (1.5-1) unstable; urgency=medium

  * disregard non-writable partitions
  * improved the management of double-device USB sticks
  * shortened d/copyright since LGPL-3 is already explained in
    /usr/share/comme/licenses

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 19 Oct 2019 19:56:26 +0200

live-clone (1.4-1) UNRELEASED; urgency=medium

  * new partition scheme with 4 partitions (the third one is VFAT, the fourth is EXT4, for the persistence)
  * added a dependency on dosfstools

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 19 Oct 2019 19:54:10 +0200

live-clone (1.3-1) UNRELEASED; urgency=medium

  * upgraded to new version: fixed missing imports

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 05 Sep 2019 23:11:02 +0200

live-clone (1.2-1) unstable; urgency=medium

  * upgraded to new version: add translators for qt_ and qtbase_;
    Closes: #931796

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 11 Jul 2019 11:49:29 +0200

live-clone (1.1-1) unstable; urgency=medium

  * First publication. Closes: #931796

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 10 Jul 2019 16:30:34 +0200

live-clone (1.0-1) unstable; urgency=medium

  * First usable version.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 10 Jul 2019 11:51:12 +0200

=== debian/control ===
Source: live-clone
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11),
 python3-all, dh-python,
 python3-pyqt5, pyqt5-dev-tools, qttools5-dev-tools, qt5-default
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/georgesk/live-clone.git
Vcs-Browser: https://salsa.debian.org/georgesk/live-clone

Package: live-clone
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-pyqt5, python3-markdown, python3-mdx-math, gir1.2-udisks-2.0,
 fdisk, dosfstools
Recommends: qemu-kvm
Description: GUI to clone and manage Live-Build USB sticks
 This application allows one to make bootable USB sticks from an
 iso-hybrid image issued by Live-Build. It adapts additionally a
 persistence partition to use the free space on the USB stick.
 .
 It features also management tools for live USB sticks: when such
 USB disks are used daily, they happen to have inconsistencies in their
 persistence area which can render them unusable. Tools are provided to
 save persistence data when necessary, and to blank the persistence area,
 so the USB disk can be used again.
 .
 The application detects when it is run from a Debian-Live environment,
 thus featuring seamless auto-cloning.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@ --with python3  --install-layout=deb --system=pybuild

override_dh_auto_configure:
	make all
	dh_auto_configure

override_dh_auto_clean:
	make clean
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	make install DESTDIR=$(CURDIR)/debian/live-clone

## live-clone 1.7

=== debian/changelog ===
live-clone (1.7-1) unstable; urgency=medium

  * fixed a bug about saving additional packages list

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 10 Jul 2020 14:32:22 +0200

live-clone (1.6-1) unstable; urgency=medium

  * new upstream version
  * shinxified the docstrings
  * began to add a sphinx config
  * moved all python stuff into a subdirectory
  * moved all python stuff into a subdirectory
  * sphinxified __init__.py
  * implemented the possibility to choose the size of the VFAT partition
  * added sphinx.ext.intersphinx
  * implemented size checks for the disk and for the VFAT partition
  * implemented progress indication in the GUI

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 30 Jun 2020 15:44:54 +0200

## live-clone 2.4

=== live_clone/Makefile ===
DESTDIR =

UISOURCES = $(shell ls ui_*.ui)
RCSOURCES = $(shell ls *.qrc)
UIFILES   = $(patsubst ui_%.ui, ui_%.py, $(UISOURCES))
RCFILES   =$(patsubst %.qrc, %_rc.py, $(RCSOURCES))

LANGSOURCES = $(shell ls lang/*.ts)
LANGFILES = $(patsubst %.ts, %.qm, $(LANGSOURCES))

all: $(RCFILES) $(UIFILES) $(LANGFILES)

$(UIFILES): $(UISOURCES)
$(RCFILES): $(RCSOURCES)
$(LANGFILES): $(LANGSOURCES)

ui_%.py: ui_%.ui
	pyuic5 $< -o $@

%_rc.py: %.qrc
	# lauch pyrcc5 to make reproducible builds
	export QT_HASH_SEED=0; pyrcc5 $< -o $@

%.qm: %.ts live_clone.pro
	lrelease -qt=5 live_clone.pro

clean:
	rm -rf *~ $(RCFILES) $(UIFILES) $(LANGFILES)

install:
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/lib/python3/dist-packages/live_clone
	install -d $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/lang
	install -d $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/img
	install -d $(DESTDIR)/usr/share/applications
	install -d $(DESTDIR)/usr/share/icons
	install -d $(DESTDIR)/usr/share/polkit-1/actions

	install -m 755 live-clone $(DESTDIR)/usr/bin
	install -m 644 *.py *.md $(DESTDIR)/usr/lib/python3/dist-packages/live_clone
	install -m 644 lang/*.md $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/lang
	install -m 644 lang/*.qm $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/lang
	install -m 644 img/* $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/img
	install -m 755 live_clone.desktop $(DESTDIR)/usr/share/applications
	install -m 644 img/live_clone.png $(DESTDIR)/usr/share/icons
	# replace the relative paths ./ by absolute paths
	for f in $$(find $(DESTDIR) -name "*.md"); do \
	  sed -i 's%\./%/usr/lib/python3/dist-packages/live_clone/%' $$f; \
	done
	install -m 644 *.policy $(DESTDIR)/usr/share/polkit-1/actions

$(LANGSOURCES): *.py $(UIFILES) live_clone.pro
	pylupdate5 live_clone.pro


.PHONY: all clean install lang

=== debian/changelog ===
live-clone (2.4-1) unstable; urgency=medium

  * new version: new disk clone feature
  * show /dev/sda's structure in the GUI
  * fixed the call to CloneMonitor in the wizard to clone to a hard disk
  * Improved the manpage for live-clone, added a French translation

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 22 Oct 2020 08:50:05 +0200

live-clone (2.3-1) unstable; urgency=medium

  * new upstream version
  * prohibited cloneToSda from sda, added swap inactivation

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 19 Oct 2020 09:45:40 +0200

live-clone (2.2-1) unstable; urgency=medium

  * new upstream version
  * change the third partition to make a swap with make HardDisk.py

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 15 Oct 2020 19:25:49 +0200

live-clone (2.1-1) unstable; urgency=medium

  * new upstream version
  * added the possibility to consider the hard disks in the list of available disks

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 04 Oct 2020 16:25:17 +0200

live-clone (2.0-1) unstable; urgency=medium

  * fixed a bug with persistence clearing
  * update the ts file

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 25 Sep 2020 20:50:31 +0200

live-clone (1.10-1) unstable; urgency=medium

  * new upstream: modified the call to fdisk, in order to allow
    decimal expressions for the size of vfat
  * refactorized the shell command calls

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 21 Sep 2020 15:53:58 +0200

live-clone (1.9-1) unstable; urgency=medium

  * new upstream version: fixed a bug for cloning from an genuine ISO file

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 07 Sep 2020 06:00:28 +0200

live-clone (1.8-1) unstable; urgency=medium

  * new version
  * fixed bugs related to the size of the ISO image when a disk is
    cloning itself.
  * upgraded to debhelper-compat (= 12), Standards-Version: 4.5.0
  * replaced the build-dependency on qt5-default by qtbase5-dev, qtchooser

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 06 Sep 2020 19:48:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,15 @@
 Section: python
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11),
- python3-all, dh-python,
- python3-pyqt5, pyqt5-dev-tools, qttools5-dev-tools, qt5-default
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12),
+ python3-all,
+ dh-python,
+ python3-pyqt5,
+ pyqt5-dev-tools,
+ qttools5-dev-tools,
+ qtbase5-dev,
+ qtchooser
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/georgesk/live-clone.git
 Vcs-Browser: https://salsa.debian.org/georgesk/live-clone

## live-clone 2.6

=== debian/changelog ===
live-clone (2.6-1) unstable; urgency=medium

  * added a dependency on sg3-utils
  * bumped Standards-Version: 4.6.0, debhelper-compat (= 13)
  * new functions to support simulated cloning
  * eject and reload the USB stick after copying the ISO image which
    modifies its partition table
  * updated some translations
  * fixed the paths to PNG images in d/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 21 Apr 2022 14:56:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  python3-all,
  dh-python,
  python3-pyqt5,
@@ -10,7 +10,7 @@
  qttools5-dev-tools,
  qtbase5-dev,
  qtchooser
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/georgesk/live-clone.git
 Vcs-Browser: https://salsa.debian.org/georgesk/live-clone
 
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
  python3-pyqt5, python3-markdown, python3-mdx-math, gir1.2-udisks-2.0,
- fdisk, dosfstools
+ fdisk, dosfstools, fdisk, sg3-utils
 Recommends: qemu-kvm
 Description: GUI to clone and manage Live-Build USB sticks
  This application allows one to make bootable USB sticks from an

## live-clone 2.7

=== debian/changelog ===
live-clone (2.7-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Nov 2022 17:03:04 +0100

live-clone (2.6-2) UNRELEASED; urgency=medium

  * fixed the detection of the persistence partition

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Nov 2022 16:53:46 +0100

## live-clone 2.8

=== live_clone/Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	install -m 644 *.policy $(DESTDIR)/usr/share/polkit-1/actions
 
 $(LANGSOURCES): *.py $(UIFILES) live_clone.pro
-	pylupdate5 live_clone.pro
+	LC_ALL=en_US.UTF-8 pylupdate5 live_clone.pro
 
 
 .PHONY: all clean install lang

=== debian/changelog ===
live-clone (2.8-1) unstable; urgency=medium

  * new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 16 Nov 2022 10:06:47 +0100

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,18 @@
 
 Package: live-clone
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends},
- python3-pyqt5, python3-markdown, python3-mdx-math, gir1.2-udisks-2.0,
- fdisk, dosfstools, fdisk, sg3-utils
-Recommends: qemu-kvm
+Depends: ${python3:Depends},
+ ${misc:Depends},
+ python3-pyqt5,
+ python3-markdown,
+ python3-mdx-math,
+ gir1.2-udisks-2.0,
+ fdisk,
+ dosfstools,
+ fdisk,
+ sg3-utils,
+ sudo
+Suggests: qemu-kvm
 Description: GUI to clone and manage Live-Build USB sticks
  This application allows one to make bootable USB sticks from an
  iso-hybrid image issued by Live-Build. It adapts additionally a

## live-clone 3.1

=== Makefile ===
DESTDIR =
SUBDIRS = doc  live_clone

%:
	for d in $(SUBDIRS); do \
	  $(MAKE) -C $$d $@ DESTDIR=$(DESTDIR);\
	done

=== debian/changelog ===
live-clone (3.1-1) unstable; urgency=medium

  * new upstream

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 18 Feb 2024 16:22:49 +0100

live-clone (2.9-1) unstable; urgency=medium

  * new upstream version. Now additionnal partitions are
    /dev/sdX3 (extended), /dev/sdX5 (vfat or swap), /dev/sdX6 (ext4)

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 15 Feb 2024 09:07:21 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@ --with python3  --install-layout=deb

override_dh_auto_configure:
	make all
	dh_auto_configure

override_dh_auto_clean:
	make clean
	dh_auto_clean

override_dh_auto_build:
	make all

override_dh_auto_install:
	dh_auto_install
	make install DESTDIR=$(CURDIR)/debian/live-clone

## live-clone 3.5

=== debian/changelog ===
live-clone (3.5-1) unstable; urgency=medium

  * ignore .img files in live_clone subdirectory
  * new command: cloneToMem ; should not be useful immediately
  * implemented correctly the methods tested in cloneToMem, to let
    maleLiveUsbStick.py write to a plain file, when in simulation
    mode. One can choose the name of the file.
  * new line command: cloneTo16GsimulatedDrive (and its manpage)
  * new upstream version 3.5

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Mar 2024 17:06:45 +0100

live-clone (3.4-1) unstable; urgency=medium

  * new upstream
  * define the environment variable XDG_RUNTIME_DIR in the main procedure
  * remove surely /tmp/sdc6
  * improved the command live-clone to save/restore automount and
    automount-open

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 18 Mar 2024 18:05:53 +0100

live-clone (3.3-1) unstable; urgency=medium

  * new upstream
  * modified the command live-clone to save/restore automount and
    automount-open Gnome settings, before and after launching
    live_clone's main procedure
  * disable automount and automount-open Gnome settings during the clone
    process
  * moved som files from live_clone/ to the upper directory
  * new dependency: pkexec

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 18 Mar 2024 16:25:19 +0100

live-clone (3.2-1) unstable; urgency=medium

  * new upstream: fix the own-clone feature

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 13 Mar 2024 17:26:50 +0100

## live-clone 3.6

=== debian/changelog ===
live-clone (3.6-1) unstable; urgency=medium

  * new feature:
    + cloning to a hard disk, USB sticks with a "hdd" image can be used

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 29 Oct 2024 16:32:59 +0100

## live-clone 3.7

=== live_clone/Makefile ===
--- 
+++ 
@@ -28,26 +28,18 @@
 	rm -rf *~ $(RCFILES) $(UIFILES) $(LANGFILES)
 
 install:
-	install -d $(DESTDIR)/usr/bin
 	install -d $(DESTDIR)/usr/lib/python3/dist-packages/live_clone
 	install -d $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/lang
 	install -d $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/img
-	install -d $(DESTDIR)/usr/share/applications
-	install -d $(DESTDIR)/usr/share/icons
-	install -d $(DESTDIR)/usr/share/polkit-1/actions
 
-	install -m 755 live-clone $(DESTDIR)/usr/bin
 	install -m 644 *.py *.md $(DESTDIR)/usr/lib/python3/dist-packages/live_clone
 	install -m 644 lang/*.md $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/lang
 	install -m 644 lang/*.qm $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/lang
 	install -m 644 img/* $(DESTDIR)/usr/lib/python3/dist-packages/live_clone/img
-	install -m 755 live_clone.desktop $(DESTDIR)/usr/share/applications
-	install -m 644 img/live_clone.png $(DESTDIR)/usr/share/icons
 	# replace the relative paths ./ by absolute paths
 	for f in $$(find $(DESTDIR) -name "*.md"); do \
 	  sed -i 's%\./%/usr/lib/python3/dist-packages/live_clone/%' $$f; \
 	done
-	install -m 644 *.policy $(DESTDIR)/usr/share/polkit-1/actions
 
 $(LANGSOURCES): *.py $(UIFILES) live_clone.pro
 	LC_ALL=en_US.UTF-8 pylupdate5 live_clone.pro

=== debian/changelog ===
live-clone (3.7-1) unstable; urgency=medium

  * new upstream version 3.7
    + remove 'persistence-media=...' from /syslinux/live.cfg when it is
      copied to /dev/sda1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 16 Dec 2024 16:22:01 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  pyqt5-dev-tools,
  qttools5-dev-tools,
  qtbase5-dev,
- qtchooser
+ qtchooser,
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/georgesk/live-clone.git
 Vcs-Browser: https://salsa.debian.org/georgesk/live-clone
@@ -26,7 +26,8 @@
  dosfstools,
  fdisk,
  sg3-utils,
- sudo
+ sudo,
+ pkexec,
 Suggests: qemu-kvm
 Description: GUI to clone and manage Live-Build USB sticks
  This application allows one to make bootable USB sticks from an
